new;
library edf,pgraph;

S0 = 3.5;
K = 3.49;
sigma = 0.09;
r = 0.08;
rstar = 0.06;
tau = 60/365;

proc muProc(t,S);
  retp( (r-rstar)*S );
endp;

proc sigmaProc(t,S);
  retp( sigma*S );
endp;

{t,S} = EulerMaruyama(S0,&muProc,&sigmaProc,0,tau,100,20);

graphset;
  _pnum = 2; _pdate = "";
  title("Simulation de trajectoires du sous-jacent"); 
  graphprt("-c=1 -cf=eds1.eps");
  xy(t,S);