new;
library pgraph,tsm,optmum;

rndseed 123;

Nr = 200;

Ns = 100; 
u = rndn(Ns,Nr);
chi2 = u^2;
xbar1 = meanc(chi2);

Ns = 500; 
u = rndn(Ns,Nr);
chi2 = u^2;
xbar2 = meanc(chi2);

Ns = 1000; 
u = rndn(Ns,Nr);
chi2 = u^2;
xbar3 = meanc(chi2);

{x1,d1,f1,retcode} = Kernel(xbar1);
{x2,d2,f2,retcode} = Kernel(xbar2);
{x3,d3,f3,retcode} = Kernel(xbar3);

graphset;
  _pnum = 2; _pdate = ""; _pltype = 6|1|3;
  fonts("simplex simgrma");
  title("Fonction de densite empirique de "\
        "\202\034S\201]i=1[[[N]]X]i[\202v5\201N");
  _plegstr = "N = 100\000N = 500\000N = 1000";
  _plegctl = {2 6 7 3};
  graphprt("-c=1 -cf=tcl2.eps");
  xy(x1~x2~x3,d1~d2~d3);