new;
library edf;

S0 = 3.5;
K = 3.49;
sigma = 0.09;
r = 0.08;
rstar = 0.06;
tau = 60/365;
N = 3;

{C,P} = optionCRR(S0,K,0.09,tau,r,rstar,N);

{S,prob,fa} = _constructionCheminsBinomiaux(S0,sigma,tau,r,rstar,N);

output file = exotic2.out reset;

print "Chemins binomiaux :";
call printfmt(S,1);

print "Fonction de probabilite risque-neutre :";
call printfmt(prob,1);

ST = S[.,N+1];
G1 = ST - K; G2 = K - ST;
G1 = G1 .* (G1 .> 0); G2 = G2 .* (G2 .> 0);

print "C = " C;
print "P = " P;
print "fa*(prob'G1) = " fa*(prob'G1) ;
print "fa*(prob'G2) = " fa*(prob'G2) ;
output off;