new;
library edf,pgraph;

S0 = 3.5;
K = 3.5;
tau = 60/365;
r = 0.08;
rstar = 0.06;

C = 0.056;

volimp = VolatiliteImplicite(S0,K,tau,r,rstar,C);

output file = volimp2.out reset;

print "Volatilite implicite = " volimp;

output off;

tau = seqa(10/365,1/365,100);
e = ones(rows(tau),1);
volimp = VolatiliteImplicite(S0,K,tau,r,rstar,C);

graphset;
  _pnum = 2; _pdate = ""; _paxht = 0.25;
  fonts("simplex simgrma");
  xlabel("\202t\201");
  ylabel("\202s\201[implicite]");
  xy(tau,volimp);
